MyGUI 3.2.2

Public Member Functions | Data Fields
MyGUI::RenderTargetInfo Struct Reference

`#include <MyGUI_RenderTargetInfo.h>`

## Public Member Functions
| RenderTargetInfo ()
void | setOffset (int _left, int _top) const

## Data Fields
float | maximumDepth
float | pixScaleX
float | pixScaleY
float | hOffset
float | vOffset
float | aspectCoef
int | leftOffset
int | topOffset

## Detailed Description

Definition at line 15 of file MyGUI_RenderTargetInfo.h.

## Constructor & Destructor Documentation

## ◆ RenderTargetInfo()

MyGUI::RenderTargetInfo::RenderTargetInfo | ( |  | ) |
| inline

Definition at line 18 of file MyGUI_RenderTargetInfo.h.

## Member Function Documentation

## ◆ setOffset()

void MyGUI::RenderTargetInfo::setOffset | ( | int | _left,
|  | int | _top
| ) |  | const
| inline

Definition at line 30 of file MyGUI_RenderTargetInfo.h.

## Field Documentation

## ◆ aspectCoef

float MyGUI::RenderTargetInfo::aspectCoef

Definition at line 42 of file MyGUI_RenderTargetInfo.h.

## ◆ hOffset

float MyGUI::RenderTargetInfo::hOffset

Definition at line 40 of file MyGUI_RenderTargetInfo.h.

## ◆ leftOffset

int MyGUI::RenderTargetInfo::leftOffset
| mutable

Definition at line 44 of file MyGUI_RenderTargetInfo.h.

## ◆ maximumDepth

float MyGUI::RenderTargetInfo::maximumDepth

Definition at line 37 of file MyGUI_RenderTargetInfo.h.

## ◆ pixScaleX

float MyGUI::RenderTargetInfo::pixScaleX

Definition at line 38 of file MyGUI_RenderTargetInfo.h.

## ◆ pixScaleY

float MyGUI::RenderTargetInfo::pixScaleY

Definition at line 39 of file MyGUI_RenderTargetInfo.h.

## ◆ topOffset

int MyGUI::RenderTargetInfo::topOffset
| mutable

Definition at line 45 of file MyGUI_RenderTargetInfo.h.

## ◆ vOffset

float MyGUI::RenderTargetInfo::vOffset

Definition at line 41 of file MyGUI_RenderTargetInfo.h.

The documentation for this struct was generated from the following file:

- MyGUI_RenderTargetInfo.h